# H248_PackagesItem Class Reference

`#include <h248.h>`

Inheritance diagram for H248_PackagesItem:

List of all members.

## Public Member Functions

| H248_PackagesItem (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_Name | m_packageName
PASN_Integer | m_packageVersion

## Constructor & Destructor Documentation

H248_PackagesItem::H248_PackagesItem | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_PackagesItem::GetDataLength | ( |  | ) | const

PBoolean H248_PackagesItem::Decode | ( | PASN_Stream & | strm | ) |

void H248_PackagesItem::Encode | ( | PASN_Stream & | strm | ) | const

void H248_PackagesItem::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_PackagesItem::Compare | ( | const PObject & | obj | ) | const

PObject* H248_PackagesItem::Clone | ( |  | ) | const

## Member Data Documentation

H248_Name H248_PackagesItem::m_packageName

PASN_Integer H248_PackagesItem::m_packageVersion

The documentation for this class was generated from the following file:

- h248.h